package ru.galacentre.newcuba.web;

import com.haulmont.cuba.gui.components.Label;
import com.haulmont.cuba.gui.screen.Screen;
import com.haulmont.cuba.gui.screen.Subscribe;
import com.haulmont.cuba.gui.screen.UiController;
import com.haulmont.cuba.gui.screen.UiDescriptor;
import ru.galacentre.newcuba.service.CacheService;

import javax.inject.Inject;

@UiController("newcuba_NewScreen")
@UiDescriptor("new-screen.xml")
public class NewScreen extends Screen {

    @Inject
    private CacheService cacheService;

    @Inject
    private Label<String> someLabel;

    @Subscribe
    protected void onInit(InitEvent event) {
        someLabel.setValue(cacheService.getValue());
    }
}